import { MatDialogConfig } from '@angular/material/dialog/typings/dialog-config';
import { MatDialog, MatDialogRef } from '@angular/material';
import { TemplateRef } from '@angular/core';
import { ComponentType } from '@angular/cdk/portal';
import { H21ConfirmDialogComponent } from './h21-confirm-dialog/h21-confirm-dialog.component';
import { H21MessageDialogComponent } from './h21-message-dialog/h21-message-dialog.component';
import { H21AlertDialogComponent } from './h21-alert-dialog/h21-alert-dialog.component';
import { H21ErrorDialogComponent } from './h21-error-dialog/h21-error-dialog.component';
import { AlertType } from './enums/alert-type';
import { IconType } from './enums/icon-type';
export declare class H21DefaultDialogService {
    private dialog;
    constructor(dialog: MatDialog);
    error(title: string, content: string): MatDialogRef<H21ErrorDialogComponent>;
    message(title: string, content: string, iconType?: IconType): MatDialogRef<H21MessageDialogComponent>;
    alert(content: string, closeText: string, alertType: AlertType): MatDialogRef<H21AlertDialogComponent>;
    confirm(title: string, content: string): MatDialogRef<H21ConfirmDialogComponent>;
    customDialog<T, D = any>(componentOrTemplateRef: ComponentType<T> | TemplateRef<T>, config?: MatDialogConfig<D>): MatDialogRef<T>;
    customDefaultDialog<T>(componentOrTemplateRef: ComponentType<T> | TemplateRef<T>, config?: object): MatDialogRef<T>;
    customAlertDialog<T>(componentOrTemplateRef: ComponentType<T> | TemplateRef<T>, config?: object): MatDialogRef<T>;
    private _getDefaultParams;
    private _getAlertDialogParams;
}
