import { OnDestroy } from '@angular/core';
import { Observable } from 'rxjs';
import { IFreshChatConfig, IFreshChatInitOptions, IFreshChatOpenOptions, IFreshChatUserProperties } from './freshchat.interfaces';
import { H21ThemeElementsService } from '../h21-white-label/services/h21-theme-elements.service';
import { H21StorageThemeService } from '../h21-white-label/services/h21-storage-theme.service';
import { LoaderService } from '../../services/loader.service';
export declare class FreshChatService implements OnDestroy {
    private _loader;
    private _theme;
    private _elements;
    private _initialOptions;
    private _widget;
    private _countUnreadMessages;
    private _opened$;
    private _closed$;
    private _loaded$;
    private _downloaded$;
    private _messageReceived$;
    private _bgProperty;
    constructor(_loader: LoaderService, _theme: H21StorageThemeService, _elements: H21ThemeElementsService, _initialOptions: IFreshChatInitOptions);
    readonly loaded$: Observable<void>;
    readonly downloaded$: Observable<void>;
    readonly opened$: Observable<void>;
    readonly closed$: Observable<void>;
    readonly messageReceived$: Observable<number>;
    ngOnDestroy(): void;
    init(config?: IFreshChatInitOptions): void;
    destroy(): void;
    open(options?: IFreshChatOpenOptions): void;
    close(): void;
    setConfig(config: IFreshChatConfig): void;
    setUser(user: IFreshChatUserProperties): void;
    clearUser(): void;
    load(): void;
    private _initEvents;
    private _updateIfThemeChanged;
}
