import { EventEmitter, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { Observable } from 'rxjs';
import { H21TwoMonthCalendarComponent } from '../h21-two-month-calendar/h21-two-month-calendar.component';
import { AppSubscriberService } from '../../services/app-subscriber-service';
import { VocabularyService } from '../../services/vocabulary-service';
import { City } from '../../models';
export declare class H21FlyRouteSelectionComponent implements OnInit {
    private _vocabulary;
    private _appSubscriber;
    routeNumber: number;
    canAdd: boolean;
    canRemove: boolean;
    rangeDateMode: boolean;
    minDate: Date;
    cityFromChange: EventEmitter<City>;
    cityToChange: EventEmitter<City>;
    departureDateChange: EventEmitter<Date>;
    returnDateChange: EventEmitter<Date>;
    add: EventEmitter<void>;
    remove: EventEmitter<void>;
    calendarControl: H21TwoMonthCalendarComponent;
    maxDate: Date;
    cityFromControl: FormControl;
    cityToControl: FormControl;
    filteredCities: Observable<City[]>;
    private _cityFrom;
    private _cityTo;
    private _departureDate;
    private _returnDate;
    cityFrom: City;
    cityTo: City;
    departureDate: Date;
    returnDate: Date;
    constructor(_vocabulary: VocabularyService, _appSubscriber: AppSubscriberService);
    init(): void;
    readonly invalid: boolean;
    trackByFn(index: any): any;
    validate(): void;
    ngOnInit(): void;
    displayCity(city: City): string;
    onSelectFromItem($event: any): void;
    onSelectToItem($event: any): void;
    changeDepartureDate($event: any): void;
    changeReturnDate($event: any): void;
    swapCities(): void;
}
