import { EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { AbstractControl, ControlValueAccessor, FormControl, ValidationErrors, Validator } from '@angular/forms';
import { MatAutocompleteSelectedEvent } from '@angular/material/autocomplete';
import { ThemePalette } from '@angular/material';
import { Observable, Subject } from 'rxjs';
import { HttpClientService } from '../../services/http-client.service';
export declare class H21AutocompleteComponent implements OnInit, OnChanges, OnDestroy, ControlValueAccessor, Validator {
    private _http;
    value: any;
    dataSource: any[];
    protected defaultFieldClass: string;
    protected defaultPanelClass: string;
    valueChanged: Subject<any>;
    disabled: boolean;
    placeholder: string;
    valueField: string;
    displayField: string;
    descriptionField: string;
    iconField: string;
    dataUrl: string;
    dataProcess: Function;
    isLoadDataByPostQuery: boolean;
    dataFilter: any;
    filterField: string;
    iconSuffix: string;
    valRequired: string;
    valPattern: string;
    color: ThemePalette;
    fieldClass: string;
    panelClass: string;
    diasbleDefaultCssClasses: boolean;
    formFieldAppearance: string;
    valueChange: EventEmitter<any>;
    changeValueControl: EventEmitter<any>;
    filteredOptions: Observable<any[]>;
    inputControl: FormControl;
    private _value;
    private _dataSource;
    private _destroy$;
    constructor(_http: HttpClientService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    onTouched: () => void;
    onChange: (value: any) => void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    writeValue(value: any): void;
    onInputChange(value: any): void;
    trackByFn(index: any): any;
    setDisplayValue(value: string): void;
    validate(control: AbstractControl): ValidationErrors;
    getLabel(value: any): string;
    displayFn(data?: any): any;
    optionSelected(event: MatAutocompleteSelectedEvent): void;
    private _initValue;
    private _setValueFromDataSource;
    private _postData;
    private _getData;
    private _getFilter;
    private _remoteFilter;
    private _localFilter;
    private _setValue;
    private _applyDataProcess;
    private _initSearchOptions;
    private _resetFilteredOptions;
}
