import { FormGroup } from '@angular/forms';
import { AfterViewInit, EventEmitter, OnDestroy } from '@angular/core';
import { SysadminVocabularyService } from '../../../../../services/sysadmin-vocabulary.service';
import { ReferencesService } from '../../../../../services/references.service';
import { CompanyService } from '../../../services/company.service';
import { CompanyAddressEditRef } from './company-address-edit-ref';
import { ICompanyAddress } from '../../../interfaces/company-address.interface';
export declare class CompanyAddressEditComponent implements OnDestroy, AfterViewInit {
    private _references;
    private _companyService;
    dialogRef: CompanyAddressEditRef;
    vocabulary: SysadminVocabularyService;
    params: ICompanyAddress;
    animationState: 'void' | 'enter' | 'leave';
    animationStateChanged: EventEmitter<AnimationEvent>;
    actionInProgress: boolean;
    entity: ICompanyAddress;
    entityForm: FormGroup;
    editable: boolean;
    countries: any[];
    cities: any[];
    private _container;
    private destroy$;
    constructor(_references: ReferencesService, _companyService: CompanyService, dialogRef: CompanyAddressEditRef, vocabulary: SysadminVocabularyService, params: ICompanyAddress);
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    trackByFn(index: any): any;
    init(): void;
    entityToForm(): void;
    onAnimationStart(event: AnimationEvent): void;
    onAnimationDone(event: AnimationEvent): void;
    startExitAnimation(): void;
    save(): void;
    countrySelected(): void;
    close(): void;
}
