import { AfterViewInit, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { Observable } from 'rxjs';
import { SysadminVocabularyService } from '../../../../services/sysadmin-vocabulary.service';
import { CompanyService } from '../../services/company.service';
import { CountriesAutocompleteService } from '../../../../services/countries-autocomplete.service';
import { CompanyFilterRef } from './company-filter-ref';
import { ICountry } from '../../../../interfaces/country.interface';
import { CompanyActualContract } from '../../models/company-status.model';
import { CompanyFilter } from './company-filter.model';
import { CompanyState } from '../../models/company-state.model';
export declare class CompanyFilterComponent implements OnInit, AfterViewInit, OnDestroy {
    private _countriesAutocompleteService;
    private _fb;
    private _dialogRef;
    private _companyService;
    vocabulary: SysadminVocabularyService;
    private _filter;
    animationState: 'void' | 'enter' | 'leave';
    animationStateChanged: EventEmitter<AnimationEvent>;
    form: FormGroup;
    countries$: Observable<ICountry[]>;
    companyStates: CompanyState[];
    companyActualContractStates: CompanyActualContract[];
    private _countryData;
    private _container;
    private _select;
    private _destroy$;
    constructor(_countriesAutocompleteService: CountriesAutocompleteService, _fb: FormBuilder, _dialogRef: CompanyFilterRef, _companyService: CompanyService, vocabulary: SysadminVocabularyService, _filter: CompanyFilter);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    trackByFn(index: any): any;
    displayFn(item: string): string;
    resetFocus(): void;
    onAnimation(event: AnimationEvent): void;
    startExitAnimation(): void;
    onDateChanged(control: string, event: any): void;
    clear(): void;
    submit(): void;
    close(): void;
    private _checkCountries;
    private _getStates;
    private _buildForm;
    private _getCountry;
    private _fillForm;
}
