import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { MatTableDataSource, PageEvent } from '@angular/material';
import { Router } from '@angular/router';
import { IColumn, ICoreEnvironment, IOrder } from '../../../../interfaces';
import { ICompanyProfileList } from '../../interfaces';
import { CompanySettingService } from '../../../h21-company-profile/services/company-setting.service';
import { H21ColumnsSelectService } from '../../../h21-columns-select/h21-columns-select.service';
import { ToolbarActionsService } from '../../../../services/toolbar-actions.service';
import { LoadProgressService } from '../../../../services/load-progress.service';
import { CompanyFilterService } from '../company-filter/company-filter.service';
import { CompanyService } from '../../services/company.service';
import { CompanyListStorageService } from '../../storage.service';
import { CompanyFilter } from '../company-filter/company-filter.model';
export declare class CompanyListComponent implements OnInit, OnDestroy {
    private _router;
    private _cdr;
    private _service;
    private _setting;
    private _filterDialog;
    private _loadProgressService;
    private _columnsSelectDialog;
    private _toolbarActionsService;
    private _core;
    private _storage;
    isAdmin: boolean;
    noProgress: boolean;
    loadInProgress: boolean;
    pageSize: number;
    pageIndex: number;
    totalCount: number;
    columns: IColumn[];
    displayedColumns: string[];
    filter: CompanyFilter;
    order: IOrder;
    dataSource: MatTableDataSource<ICompanyProfileList>;
    private filterDialogRef;
    private _defaultOrder;
    private columnsSelectDialogRef;
    private _destroy$;
    private _paginator;
    constructor(_router: Router, _cdr: ChangeDetectorRef, _service: CompanyService, _setting: CompanySettingService, _filterDialog: CompanyFilterService, _loadProgressService: LoadProgressService, _columnsSelectDialog: H21ColumnsSelectService, _toolbarActionsService: ToolbarActionsService, _core: ICoreEnvironment, _storage: CompanyListStorageService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    trackByFn(index: number): number;
    setDisplayedColumns(): void;
    pageChange(event: PageEvent): void;
    search(): void;
    setToolbarActions(): void;
    openFilter(): void;
    openColumnsSelect(): void;
    openCard(id: string): void;
    createCompany(): void;
    checkFilter(): boolean;
    sort(name: string): void;
    getActualContractStateName(hasActualContract: boolean): string;
    getCompanyTypeCssClassName(typeName: string): string;
    private _setRegNum;
    private _setApp;
    private _isAgentOffice;
    private _getNoStateColumns;
    private _getPageState;
    private _checkAdmin;
    private _setColumns;
}
