import { AfterViewInit, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { IH21DialogPanel } from '../../../../h21-dialog-panel/h21-dialog-panel.interface';
import { ICompanyBankAccount } from '../../../interfaces/company-bank-account.interface';
import { ICurrency } from '../../../../../interfaces/currency.interface';
import { PaymentMethodDialogData } from '../payment-method-dialog-data.model';
import { ReferencesService } from '../../../../../services/references.service';
import { CompanyService } from '../../../services/company.service';
export declare class CompanyBankAccountEditComponent implements OnInit, OnDestroy, AfterViewInit {
    private _references;
    private _companyService;
    private _dialogPanel;
    animationState: 'void' | 'enter' | 'leave';
    animationStateChanged: EventEmitter<AnimationEvent>;
    editable: boolean;
    actionInProgress: boolean;
    dialogData: any;
    form: FormGroup;
    currencies: ICurrency[];
    entity: ICompanyBankAccount;
    showErrorMessage: boolean;
    private _container;
    private _swiftCodePattern;
    private _bicPattern;
    private _accountNumberPattern;
    private _abaPattern;
    private _sortCodePattern;
    private _codeControls;
    private _destroy$;
    constructor(_references: ReferencesService, _companyService: CompanyService, _dialogPanel: IH21DialogPanel<PaymentMethodDialogData>);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    onAnimation(event: AnimationEvent): void;
    startExitAnimation(): void;
    trackByFn(index: any): any;
    validateAndSave(): void;
    save(): void;
    close(): void;
    private _onViewOrEditForm;
    private _hideAccountNumber;
    private _checkCodes;
    private _searchByAccountNumber;
    private _buildForm;
}
