import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { IH21DialogPanel } from '../../../../h21-dialog-panel';
import { CompanyService } from '../../../services/company.service';
import { ViewMode } from '../../../../../enums';
import { PaymentMethodDialogData } from '../payment-method-dialog-data.model';
export declare class CreditCardDialogComponent implements OnInit, OnDestroy {
    private _cdr;
    private _companyService;
    private _dialogPanel;
    animationState: 'void' | 'enter' | 'leave';
    animationStateChanged: EventEmitter<AnimationEvent>;
    editable: boolean;
    actionInProgress: boolean;
    form: FormGroup;
    viewMode: typeof ViewMode;
    dialogData: PaymentMethodDialogData;
    private _destroy$;
    constructor(_cdr: ChangeDetectorRef, _companyService: CompanyService, _dialogPanel: IH21DialogPanel<PaymentMethodDialogData>);
    ngOnInit(): void;
    ngOnDestroy(): void;
    trackByFn(index: number): number;
    onAnimation(event: AnimationEvent): void;
    startExitAnimation(): void;
    close(): void;
    save(): void;
    private _load;
    private _getBankAccount;
    private _buildForm;
}
