import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { BehaviorSubject, Observable } from 'rxjs';
import { IH21DialogPanel } from '../../../../h21-dialog-panel/h21-dialog-panel.interface';
import { ICompanyBankAccount } from '../../../interfaces/company-bank-account.interface';
import { INamedEntity } from '../../../../../interfaces/named-entity.interface';
import { PaymentMethodDialogData } from '../payment-method-dialog-data.model';
import { CompanyService } from '../../../services/company.service';
import { ReferencesService } from '../../../../../services/references.service';
import { ICodeNamedEntity } from '../../../../../interfaces';
export declare class CompanyPaymentDialogComponent implements OnInit, OnDestroy {
    private _cdr;
    private _companyService;
    private _referenceService;
    private _dialogPanel;
    references$: BehaviorSubject<ICodeNamedEntity[]>;
    substituteParameters$: Observable<ICodeNamedEntity[]>;
    animationState: 'void' | 'enter' | 'leave';
    animationStateChanged: EventEmitter<AnimationEvent>;
    editable: boolean;
    actionInProgress: boolean;
    dialogData: PaymentMethodDialogData;
    maxLength: number;
    form: FormGroup;
    selectedRefIds: number[];
    stateList$: BehaviorSubject<INamedEntity[]>;
    monthList$: Observable<number[]>;
    yearList$: Observable<number[]>;
    costModeList$: Observable<INamedEntity[]>;
    entity: ICompanyBankAccount;
    private _index;
    private _cardNumberPattern;
    private _destroy$;
    constructor(_cdr: ChangeDetectorRef, _companyService: CompanyService, _referenceService: ReferencesService, _dialogPanel: IH21DialogPanel<PaymentMethodDialogData>);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onAnimation(event: AnimationEvent): void;
    startExitAnimation(): void;
    save(): void;
    close(): void;
    trackByFn(index: any): any;
    trackByFnFg(index: number, fg: FormGroup): number;
    addReferenceFields(): void;
    onReferenceChange(fg: FormGroup, id: number): void;
    onSubstituteParameterChange(fg: FormGroup, value: string): void;
    removeReferenceField(index: number): void;
    private _disableValueBySubstitute;
    private _onViewOrEditForm;
    private _hideCardNumber;
    private _getYears;
    private _buildForm;
    private _filterReferences;
}
