import { OnDestroy } from '@angular/core';
import { CompanySettingService } from '../../../../h21-company-profile/services/company-setting.service';
import { H21DialogPanelService } from '../../../../h21-dialog-panel/h21-dialog-panel.service';
import { H21DefaultDialogService } from '../../../../dialogs/h21-default-dialog.service';
import { LoadProgressService } from '../../../../../services/load-progress.service';
import { CompanyService } from '../../../services/company.service';
import { INamedEntity } from '../../../../../interfaces/named-entity.interface';
import { PaymentMethod } from '../../../models/payment-method.model';
import { ViewMode } from '../../../../../enums';
import { PaymentTypeId } from '../../../../../enums/payment-type-id.enum';
export declare class CompanyPaymentMethodListComponent implements OnDestroy {
    private _companyService;
    private _setting;
    private _dialogs;
    private _loadProgressService;
    private _dialogPanelService;
    id: number;
    readonly: boolean;
    typeId: number;
    paymentTypes: INamedEntity[];
    isAdmin: boolean;
    inProgress: boolean;
    noProgress: boolean;
    dataSource: PaymentMethod[];
    displayedColumns: string[];
    mode: typeof ViewMode;
    private _id;
    private _readonly;
    private _allPaymentTypes;
    private _destroy$;
    constructor(_companyService: CompanyService, _setting: CompanySettingService, _dialogs: H21DefaultDialogService, _loadProgressService: LoadProgressService, _dialogPanelService: H21DialogPanelService);
    ngOnDestroy(): void;
    trackByFn(id: number): number;
    loadData(): void;
    setDisplayColumns(): void;
    showPaymentDialog(paymentTypeId: PaymentTypeId, mode: ViewMode, entityId?: number): void;
    remove(entity: PaymentMethod): void;
    private _delete;
    private _getComponent;
    private _addCreditCards;
    private _addBankTransfers;
}
