import { OnDestroy, OnInit } from '@angular/core';
import { MatSelectChange } from '@angular/material/typings/select';
import { ActivatedRoute, Router } from '@angular/router';
import { FormGroup } from '@angular/forms';
import { Observable } from 'rxjs';
import { AnimationState, Application, ProfileCardMode } from '../../../../../enums';
import { ICodeNamedEntity, ICoreEnvironment, ICountry } from '../../../../../interfaces';
import { LoadProgressService } from '../../../../../services/load-progress.service';
import { ReferencesService } from '../../../../../services/references.service';
import { ICompanyProfile } from '../../../interfaces';
import { CompanyProfileCardFormValidatorService } from '../../../services/company-profile-card-form-validator.service';
import { CompanySettingService } from '../../../../h21-company-profile/services/company-setting.service';
import { SysadminVocabularyService } from '../../../../../services/sysadmin-vocabulary.service';
import { ToolbarActionsService } from '../../../../../services/toolbar-actions.service';
import { UtilsService } from '../../../../../services/utils.service';
import { CompanyService } from '../../../services/company.service';
import { CompanyVersion } from '../../../models';
import { CompanyVersionComponent } from '../company-version/company-version.component';
export declare class CompanyProfileCardComponent implements OnInit, OnDestroy {
    private _router;
    utils: UtilsService;
    private activatedRoute;
    private _references;
    private _setting;
    private _companyService;
    private _formValidationService;
    vocabulary: SysadminVocabularyService;
    private _loadProgressService;
    private toolbarActionsService;
    core: ICoreEnvironment;
    mode: ProfileCardMode;
    entity: ICompanyProfile;
    companyVersion: CompanyVersionComponent;
    isAdmin: boolean;
    selectedTab: number;
    isParentAvailable: boolean;
    application: typeof Application;
    id: number;
    entityId: number;
    originalEntity: ICompanyProfile;
    animationState: AnimationState;
    loadInProgress: boolean;
    actionInProgress: boolean;
    editable: boolean;
    entityForm: FormGroup;
    countries: ICountry[];
    selectedVersion: CompanyVersion;
    companyTypes: ICodeNamedEntity[];
    companyStates: ICodeNamedEntity[];
    companies$: Observable<ICompanyProfile[]>;
    private _disableCompanyType;
    private _destroy$;
    private _clearIfChanged;
    constructor(_router: Router, utils: UtilsService, activatedRoute: ActivatedRoute, _references: ReferencesService, _setting: CompanySettingService, _companyService: CompanyService, _formValidationService: CompanyProfileCardFormValidatorService, vocabulary: SysadminVocabularyService, _loadProgressService: LoadProgressService, toolbarActionsService: ToolbarActionsService, core: ICoreEnvironment);
    ngOnInit(): void;
    setCurrentTab(index: number): void;
    ngOnDestroy(): void;
    trackByFn(index: number): number;
    init(): void;
    onChangeVersion(version: CompanyVersion): void;
    onCheckOneVersion(oneVersion?: boolean): void;
    compareCompanies(first: ICompanyProfile, second: ICompanyProfile): boolean;
    entityToForm(): void;
    setValidation(fieldName: string, pattern: string): void;
    toggleSelectDisabled(): void;
    formToEntity(): void;
    changeEditable(value: boolean): void;
    getRegisterNumber(): string;
    setReferences(): void;
    setViewMode(): void;
    setEditMode(): void;
    cancel(): void;
    save(): void;
    publish(): void;
    typeChanged(event: MatSelectChange): void;
    countryChanged(): void;
    setToolbarActions(): void;
    toggleCardHeaderVisibility(): void;
    getHasActualCompanyValue(): string;
    isEditableVersion(): boolean;
    canPublish(): boolean;
    getCompanyTypeCssClassName(typeId: number): string;
    isChina(): boolean;
    isRussia(): boolean;
    isOtherCountry(): boolean;
    private _getViewMode;
    private _setCountryList;
    private _updateValidation;
    private _getCompanyTypes;
}
