import { AbstractControl } from '@angular/forms';
import { ICoreEnvironment } from '../../../interfaces/core-environment.interface';
export declare class CompanyProfileCardFormValidatorService {
    core: ICoreEnvironment;
    private _validateControllKeys;
    constructor(core: ICoreEnvironment);
    /**
     * Обнавляем валидацию контроллов
     * @param isRussia Выбрана страна Россия
     * @param isChina Выбрана страна Китай
     * @param isOtherCountry Выбрана страна, отличная от России и Китая
     * @param clearIfChanged Была ли смена страны
     * @param controls Контроллы для валидации
     */
    updateValidation(isRussia: boolean, isChina: boolean, isOtherCountry: boolean, clearIfChanged: boolean, controls: {
        [key: string]: AbstractControl;
    }): void;
    /**
     * Устанавливаем валидацию для контролла
     * @param obj объект информации о валидации
     */
    private _updateControlValidation;
}
