import { ChangeDetectorRef, EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { Observable } from 'rxjs';
import { InvoiceItem } from '../../../../models/invoicing.model';
import { ICompany } from '../../interfaces/company.interface';
import { ViewMode } from '../../../../enums/view-mode.enum';
import { ToolbarActionsService } from '../../../../services/toolbar-actions.service';
import { CompanyService } from '../../services/company.service';
export declare class CompanyInvoicingComponent implements OnInit, OnChanges, OnDestroy {
    private _toolbarActions;
    private _companyService;
    private _cdr;
    form: FormGroup;
    company: ICompany;
    isAdmin: boolean;
    mode: ViewMode;
    emitMode: EventEmitter<ViewMode>;
    emitCompany: EventEmitter<ICompany>;
    invoicing$: Observable<InvoiceItem[]>;
    viewMode: typeof ViewMode;
    companyData: ICompany;
    private destroy$;
    constructor(_toolbarActions: ToolbarActionsService, _companyService: CompanyService, _cdr: ChangeDetectorRef);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    trackByFn(index: number): number;
    save(): void;
    private _cancel;
    private _edit;
    private _updateMode;
    private _isInvalidate;
    private _setToolbarActions;
}
