import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnDestroy } from '@angular/core';
import { AbstractControl, FormBuilder, FormGroup } from '@angular/forms';
import { MatChipInputEvent } from '@angular/material';
import { IH21DialogPanel } from '../../../../h21-dialog-panel/h21-dialog-panel.interface';
import { AnimationState } from '../../../../../enums/animation-state';
import { PanelAction } from '../../../../../enums/panel-action.enum';
import { ViewMode } from '../../../../../enums/view-mode.enum';
import { CompanyReferenceDialogData } from '../models/company-reference-dialog-data.model';
import { CompanyService } from '../../../services/company.service';
export declare class CompanyReferenceDialogComponent implements AfterViewInit, OnDestroy {
    private _fb;
    private _cdr;
    private _service;
    private _dialogPanel;
    animationState: AnimationState;
    animationStateChanged: EventEmitter<AnimationEvent>;
    modeTypes: typeof ViewMode;
    pending: boolean;
    form: FormGroup;
    mode: ViewMode;
    referenceId: number;
    companyProfileId: number;
    readonly valuesActual: AbstractControl;
    private _destroy$;
    private _container;
    private _chipInput;
    constructor(_fb: FormBuilder, _cdr: ChangeDetectorRef, _service: CompanyService, _dialogPanel: IH21DialogPanel<CompanyReferenceDialogData>);
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    onAnimationStart(event: AnimationEvent): void;
    onAnimationDone(event: AnimationEvent): void;
    onSubmit(): void;
    cancel(): void;
    close(action?: PanelAction): void;
    trackByFn(index: number): number;
    onBackSpace(event: KeyboardEvent): void;
    onEdit(): void;
    removeValue(index: number): void;
    addValue($event: MatChipInputEvent): void;
    private _buildForm;
    private _load;
}
