import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { PageEvent } from '@angular/material/paginator';
import { H21DialogPanelService } from '../../../../h21-dialog-panel/h21-dialog-panel.service';
import { ToolbarActionsService } from '../../../../../services/toolbar-actions.service';
import { LoadProgressService } from '../../../../../services/load-progress.service';
import { CompanyService } from '../../../services/company.service';
import { ViewMode } from '../../../../../enums/view-mode.enum';
import { IReferencesList } from '../interfaces/references.list.interface';
export declare class CompanyReferencesListComponent implements OnInit, OnDestroy {
    private _cdr;
    private _service;
    private _toolbarActions;
    private _loadProgressService;
    private _dialogPanelService;
    mode: ViewMode;
    isAdmin: boolean;
    companyProfileId: number;
    emitMode: EventEmitter<ViewMode>;
    viewMode: typeof ViewMode;
    dataSource: IReferencesList[];
    displayedColumns: string[];
    total: number;
    pageSize: number;
    pageIndex: number;
    inProgress: boolean;
    noProgress: boolean;
    updatingMandatory: boolean;
    updatingEnable: boolean;
    rowId: number;
    private _destroy$;
    constructor(_cdr: ChangeDetectorRef, _service: CompanyService, _toolbarActions: ToolbarActionsService, _loadProgressService: LoadProgressService, _dialogPanelService: H21DialogPanelService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    trackByFn: (index: number) => number;
    updateItem(id: number, field: string, checked: boolean, path: string): void;
    setEditData(id: number, field: string, state: boolean): void;
    openReferenceDialog(referenceId?: number): void;
    pageChange(event: PageEvent): void;
    private _getCompanyReferences;
    private _edit;
    private _cancel;
    private _setToolbarActions;
    private _safeDetectChanges;
}
