import { AfterViewInit, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { NgSelectComponent } from '@ng-select/ng-select';
import { Subject } from 'rxjs';
import { AnimationState } from '../../../../../enums/animation-state';
import { PanelAction } from '../../../../../enums/panel-action.enum';
import { ViewMode } from '../../../../../enums/view-mode.enum';
import { DepartmentPanelData } from '../models/department-panel-data';
import { IH21DialogPanel } from '../../../../h21-dialog-panel/h21-dialog-panel.interface';
import { ICoreEnvironment } from '../../../../../interfaces/core-environment.interface';
import { ITraveler } from '../../../interfaces/traveler.interface';
import { CompanySettingService } from '../../../services/company-setting.service';
import { DepartmentService } from '../../../services/department.service';
export declare class DepartmentComponent implements OnInit, OnDestroy, AfterViewInit {
    private _service;
    private _settingService;
    private _core;
    private _panel;
    form: FormGroup;
    viewMode: ViewMode;
    sending: boolean;
    isView: boolean;
    animationState: AnimationState;
    animationStateChanged: EventEmitter<AnimationEvent>;
    travellers$: Subject<ITraveler[]>;
    travellers: ITraveler[];
    private profileId;
    private _original;
    private _destroy$;
    private _container;
    constructor(_service: DepartmentService, _settingService: CompanySettingService, _core: ICoreEnvironment, _panel: IH21DialogPanel<DepartmentPanelData>);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    animationAction(event: AnimationEvent): void;
    close(action?: PanelAction): void;
    toggleAll(isAll: boolean, select: NgSelectComponent): void;
    cancel(): void;
    save(): void;
    trackByFn(index: number): number;
    searchTravelers(searchedText: string): void;
    private _load;
    private _isDisabled;
    private _getTravellers;
    private _buildForm;
}
