import { ChangeDetectorRef, OnDestroy } from '@angular/core';
import { MatTabChangeEvent } from '@angular/material';
import { Observable } from 'rxjs';
import { SysadminVocabularyService } from '../../../../services/sysadmin-vocabulary.service';
import { ToolbarActionsService } from '../../../../services/toolbar-actions.service';
import { LoadProgressService } from '../../../../services/load-progress.service';
import { CompanySettingService } from '../../services/company-setting.service';
import { CompanyService } from './../../services/company.service';
import { ICoreEnvironment } from '../../../../interfaces/core-environment.interface';
import { IHistoryResponse } from './../../interfaces/history-response.interface';
import { ICompany } from './../../interfaces/company.interface';
import { IFileInfo } from '../../../../interfaces';
import { AnimationState } from '../../../../enums/animation-state';
import { ViewMode } from '../../../../enums/view-mode.enum';
import { ProfileName } from '../../company-profile-setting.model';
import { GeneralInfoComponent } from '../general-info/general-info.component';
export declare class DetailsComponent implements OnDestroy {
    private _cdr;
    private _service;
    private _setting;
    private _toolbarActions;
    private _vocabulary;
    private _settingService;
    private _loadProgressService;
    private _core;
    generalInfo: GeneralInfoComponent;
    readonly tooltip: string;
    viewMode: typeof ViewMode;
    inProgress: boolean;
    validate: boolean;
    mode: ViewMode;
    isAdmin: boolean;
    historyResponse: IHistoryResponse;
    animationStateType: typeof AnimationState;
    animationState: AnimationState;
    profile: ProfileName;
    selectedIndex: number;
    selectedTab: string;
    originCompany: ICompany;
    company$: Observable<ICompany>;
    private _destroy$;
    private _generalInfo;
    constructor(_cdr: ChangeDetectorRef, _service: CompanyService, _setting: CompanySettingService, _toolbarActions: ToolbarActionsService, _vocabulary: SysadminVocabularyService, _settingService: CompanySettingService, _loadProgressService: LoadProgressService, _core: ICoreEnvironment);
    ngOnDestroy(): void;
    updateCompany(company: ICompany): void;
    toggleCardHeaderVisibility(): void;
    getRegisterNumber(company: ICompany): string;
    tabChange(tab: MatTabChangeEvent): void;
    companyType(id: number): string;
    loadedData(data: IHistoryResponse): void;
    setMode(mode: ViewMode): void;
    getCompanyTypeCssClassName(typeId: number): string;
    save(): void;
    showSaveButton(): boolean;
    setLogo(logo: IFileInfo, company: ICompany): void;
    private _getSetting;
    private _getCompany;
}
