import { ChangeDetectorRef, EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { Observable } from 'rxjs';
import { SysadminVocabularyService } from '../../../../services/sysadmin-vocabulary.service';
import { ToolbarActionsService } from '../../../../services/toolbar-actions.service';
import { LoadProgressService } from '../../../../services/load-progress.service';
import { CompanySettingService } from '../../services/company-setting.service';
import { ReferencesService } from '../../../../services/references.service';
import { CompanyService } from '../../services/company.service';
import { ProfileName } from '../../company-profile-setting.model';
import { ICountry } from '../../../../interfaces/country.interface';
import { ICompany } from '../../interfaces/company.interface';
import { CountryType, ViewMode } from '../../../../enums';
export declare class GeneralInfoComponent implements OnInit, OnChanges, OnDestroy {
    private _fb;
    private _cdr;
    private _companyService;
    private _setting;
    vocabulary: SysadminVocabularyService;
    private _referencesService;
    private _toolbarActions;
    private _loadProgressService;
    isAdmin: boolean;
    validate: boolean;
    company: ICompany;
    profile: ProfileName;
    mode: ViewMode;
    isEditable: string[];
    emitMode: EventEmitter<ViewMode>;
    emitCompany: EventEmitter<ICompany>;
    actionInProgress: boolean;
    form: FormGroup;
    modeType: typeof ViewMode;
    countries$: Observable<ICountry[]>;
    countryType: CountryType;
    countryTypes: typeof CountryType;
    private _originCompany;
    private _destroy$;
    constructor(_fb: FormBuilder, _cdr: ChangeDetectorRef, _companyService: CompanyService, _setting: CompanySettingService, vocabulary: SysadminVocabularyService, _referencesService: ReferencesService, _toolbarActions: ToolbarActionsService, _loadProgressService: LoadProgressService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    trackByFn(index: number): number;
    save(): void;
    isInvalid(): boolean;
    isEditableField(name: any): boolean;
    private _buildForm;
    private _setCountryType;
    private _edit;
    private _cancel;
    private _setToolbarActions;
    private _markFormGroupTouched;
    private _updateControlAccess;
}
