import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { FormControl } from '@angular/forms';
import { BehaviorSubject } from 'rxjs';
import { ToolbarActionsService } from '../../../../services/toolbar-actions.service';
import { LoadProgressService } from '../../../../services/load-progress.service';
import { SettingsService } from '../../../../services/settings.service';
import { CompanyService } from '../../services/company.service';
import { IInterfaceSetting, InterfaceSettingsService } from './interfaces';
import { INamedEntity } from '../../../../interfaces';
import { ICompany } from '../../interfaces';
import { ViewMode } from '../../../../enums';
import { GeneralInfoComponent } from '../general-info';
export declare class InterfaceSettingsComponent implements OnDestroy, OnInit {
    private _http;
    private _cdr;
    private _companyService;
    private _settingsService;
    private _toolbarActions;
    private _loadProgressService;
    mode: ViewMode;
    isAdmin: boolean;
    company: ICompany;
    cmp: GeneralInfoComponent;
    emitMode: EventEmitter<ViewMode>;
    emitCompany: EventEmitter<ICompany>;
    pending: boolean;
    headerHeight: string;
    viewMode: typeof ViewMode;
    companyData: ICompany;
    defaultPageCtrl: FormControl;
    defaultPages: BehaviorSubject<INamedEntity[]>;
    dashboardSettingsGroup: IInterfaceSetting[];
    searchAndBookSettingsGroup: IInterfaceSetting[];
    globalSettingsGroup: InterfaceSettingsService[];
    private _destroy$;
    constructor(_http: HttpClient, _cdr: ChangeDetectorRef, _companyService: CompanyService, _settingsService: SettingsService, _toolbarActions: ToolbarActionsService, _loadProgressService: LoadProgressService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    trackByFn(index: number): number;
    onDefaultPageChanged(page: INamedEntity): void;
    onToggleChange(id: number, state: boolean, method?: string): void;
    save(): void;
    private _setSettingGroup;
    private _getSettings;
    private _getDefPages;
    private _initDefPage;
    private _cancel;
    private _edit;
    private _updateMode;
    private _setToolbarActions;
}
