import { ChangeDetectorRef, EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { MatSlideToggleChange } from '@angular/material';
import { FormGroup } from '@angular/forms';
import { BehaviorSubject } from 'rxjs';
import { ViewMode } from '../../../../enums';
import { ICoreEnvironment } from '../../../../interfaces/core-environment.interface';
import { IServiceType } from './service-type.interface';
import { ICompany } from '../../interfaces/company.interface';
import { ToolbarActionsService } from '../../../../services/toolbar-actions.service';
import { CompanySettingService } from '../../services/company-setting.service';
import { CompanyService } from '../../services/company.service';
import { ServiceTypeService } from './service-type.service';
export declare class ServicesComponent implements OnInit, OnChanges, OnDestroy {
    private _cdr;
    private _service;
    private _setting;
    private _companyService;
    private _toolbarActions;
    core: ICoreEnvironment;
    form: FormGroup;
    isAdmin: boolean;
    company: ICompany;
    mode: ViewMode;
    emitMode: EventEmitter<ViewMode>;
    emitCompany: EventEmitter<ICompany>;
    viewMode: typeof ViewMode;
    types$: BehaviorSubject<IServiceType[]>;
    showAdditionalSettings: boolean;
    isReadOnlyServices: boolean;
    private _originCompany;
    private _allServiceTypes;
    private _originalServicesActual;
    private _servicesActual;
    private _destroy$;
    constructor(_cdr: ChangeDetectorRef, _service: ServiceTypeService, _setting: CompanySettingService, _companyService: CompanyService, _toolbarActions: ToolbarActionsService, core: ICoreEnvironment);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    trackByFn(index: number): number;
    change(event: MatSlideToggleChange, serviceType: IServiceType): void;
    save(): void;
    onBookingFeeTypeChange(eventValue: boolean): void;
    private _edit;
    private _cancel;
    private _refreshCompanyServiceTypes;
    private _setCompanyServiceTypes;
    private _setToolbarActions;
    private _updateControlAccess;
    private _getActive;
    private _updateBookingFeeValidators;
    private _getBookingFeeValidators;
    private _setShowAdditionalSettings;
}
