import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { ProfileProviderFilter } from '../models';
import { Query } from '../../../../../models';
import { IProfileProvider, IProfileProviderSetting } from '../interfaces';
import { IQueryResult } from '../../../../../interfaces';
import { SettingsService } from '../../../../../services/settings.service';
export declare class ProfileProviderService {
    private _http;
    private _settings;
    private _entity;
    constructor(_http: HttpClient, _settings: SettingsService);
    getByFilter(filter: Query<ProfileProviderFilter>): Observable<IQueryResult<IProfileProvider>>;
    getSettingByCompanyId(id: number): Observable<IProfileProviderSetting>;
    saveSetting(setting: IProfileProviderSetting): Observable<IProfileProviderSetting>;
    resetSetting(setting: IProfileProviderSetting): Observable<IProfileProviderSetting>;
    updateEnable(id: number, state: boolean): Observable<void>;
}
