import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnDestroy } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { IH21DialogPanel } from '../../../../h21-dialog-panel/h21-dialog-panel.interface';
import { AnimationState } from '../../../../../enums/animation-state';
import { PanelAction } from '../../../../../enums/panel-action.enum';
import { H21DefaultDialogService } from '../../../../dialogs/h21-default-dialog.service';
import { FileUploaderService } from '../../../../../services/file-uploader.service';
import { HttpClientService } from '../../../../../services/http-client.service';
import { ProfileProviderService } from '../services/profile-provider.service';
import { SettingsService } from '../../../../../services/settings.service';
export declare class SuppliersDialogComponent implements AfterViewInit, OnDestroy {
    private _fb;
    private _cdr;
    private _http;
    private _settings;
    private _uploader;
    private _service;
    private _dialogs;
    private _dialogPanel;
    animationState: AnimationState;
    animationStateChanged: EventEmitter<AnimationEvent>;
    pending: boolean;
    maxFileSizeError: boolean;
    imageFormatError: boolean;
    form: FormGroup;
    private _data;
    private _destroy$;
    private _container;
    private _fileInput;
    constructor(_fb: FormBuilder, _cdr: ChangeDetectorRef, _http: HttpClientService, _settings: SettingsService, _uploader: FileUploaderService, _service: ProfileProviderService, _dialogs: H21DefaultDialogService, _dialogPanel: IH21DialogPanel);
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    onAnimationStart(event: AnimationEvent): void;
    onAnimationDone(event: AnimationEvent): void;
    onSubmit(isValidate?: boolean): void;
    reset(): void;
    cancel(): void;
    close(action?: PanelAction): void;
    trackByFn(index: number): number;
    removeLogo($event: MouseEvent): void;
    uploadLogo($event: Event): void;
    private _resetAndSave;
    private _reset;
    private _setLogoUrl;
    private _buildForm;
    private _load;
    private _fillForm;
    private _checkSizeAndFormat;
    private _addProviders;
}
