import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { H21DialogPanelService } from '../../../../h21-dialog-panel/h21-dialog-panel.service';
import { ToolbarActionsService } from '../../../../../services/toolbar-actions.service';
import { LoadProgressService } from '../../../../../services/load-progress.service';
import { ProfileProviderService } from '../services/profile-provider.service';
import { ViewMode } from '../../../../../enums/view-mode.enum';
import { IProfileProvider } from '../interfaces';
export declare class SuppliersListComponent implements OnInit, OnDestroy {
    private _cdr;
    private _service;
    private _toolbarActions;
    private _loadProgressService;
    private _dialogPanelService;
    mode: ViewMode;
    isAdmin: boolean;
    companyProfileId: number;
    emitMode: EventEmitter<ViewMode>;
    viewMode: typeof ViewMode;
    dataSource: IProfileProvider[];
    pending: boolean;
    loaderCount: number[];
    private _destroy$;
    constructor(_cdr: ChangeDetectorRef, _service: ProfileProviderService, _toolbarActions: ToolbarActionsService, _loadProgressService: LoadProgressService, _dialogPanelService: H21DialogPanelService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    trackByFn(index: number): number;
    onToggleChange(item: IProfileProvider, state: boolean): void;
    loadData(): void;
    openSuppliersDialog(): void;
    private _buildFilter;
    private _edit;
    private _cancel;
    private _setToolbarActions;
    private _safeDetectChanges;
}
