import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { MatTableDataSource, PageEvent } from '@angular/material';
import { ICompanyUser } from '../../interfaces/company-user.interface';
import { IH21Column, IH21Order } from '../../../h21-table';
import { ICompany } from '../../interfaces';
import { ViewMode } from '../../../../enums';
import { RowAction } from '../../../h21-table/row-action.enum';
import { H21DefaultDialogService } from '../../../dialogs/h21-default-dialog.service';
import { ToolbarActionsService } from '../../../../services/toolbar-actions.service';
import { LoadProgressService } from '../../../../services/load-progress.service';
import { IdentityUserProfileService } from './identity-user-profile.service';
import { CompanyUserService } from '../../services/company-user.service';
export declare class UsersComponent implements OnInit, OnDestroy {
    private _cdr;
    private _service;
    private _defDialog;
    private _toolbarActions;
    private _loadProgressService;
    private _identityService;
    mode: ViewMode;
    isAdmin: boolean;
    companyId: number;
    company: ICompany;
    emitMode: EventEmitter<ViewMode>;
    emitCompany: EventEmitter<ICompany>;
    inProgress: boolean;
    showNoData: boolean;
    pageSize: number;
    totalCount: number;
    viewMode: typeof ViewMode;
    order: IH21Order;
    columns: IH21Column[];
    dataSource: MatTableDataSource<ICompanyUser>;
    private _importFile;
    private _originCompany;
    private _destroy$;
    constructor(_cdr: ChangeDetectorRef, _service: CompanyUserService, _defDialog: H21DefaultDialogService, _toolbarActions: ToolbarActionsService, _loadProgressService: LoadProgressService, _identityService: IdentityUserProfileService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    trackByFn(index: number): number;
    sort(name: string): void;
    pageChange(event: PageEvent): void;
    onAction(action: RowAction, data: ICompanyUser): void;
    confirmEmailOnIdentity(data: ICompanyUser): void;
    isVisible(action: RowAction, user: ICompanyUser): boolean;
    isActionCell(cellName: string): boolean;
    private _onDelete;
    private _search;
    private _edit;
    private _cancel;
    private _setToolbarActions;
    private _cgahgeCdr;
}
