import { HttpClient } from '@angular/common/http';
import { OAuthService } from 'angular-oauth2-oidc';
import { Observable } from 'rxjs';
import { SettingsService } from '../../../services/settings.service';
import { ICompanyProfile } from '../../h21-company-list/interfaces/company-profile.interface';
import { ICoreEnvironment } from '../../../interfaces/core-environment.interface';
import { CompanyProfileSetting } from './../company-profile-setting.model';
export declare class CompanySettingService {
    private _http;
    private _auth;
    private _settingsService;
    core: ICoreEnvironment;
    private _entity;
    private _globalAdminRole;
    private _baseUrl;
    constructor(_http: HttpClient, _auth: OAuthService, _settingsService: SettingsService, core: ICoreEnvironment);
    getSetting(): Observable<CompanyProfileSetting>;
    isAdmin(): Observable<boolean>;
    isAdminInCompany(): Observable<boolean>;
    getProfile(id: number): Observable<ICompanyProfile>;
    saveSetting(profileSetting: CompanyProfileSetting): Observable<CompanyProfileSetting>;
    isAdminByClaims(): boolean;
    private _getClaims;
}
