import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { HttpClientService } from '../../../services/http-client.service';
import { SettingsService } from '../../../services/settings.service';
import { UsersFilter } from '../components/users/users-filter.model';
import { Query } from '../../../models';
import { ICompanyUser } from '../interfaces/company-user.interface';
import { IQueryResult, IRequestOptions } from '../../../interfaces';
export declare class CompanyUserService extends HttpClientService {
    private _entity;
    private _apiUrl;
    constructor(http: HttpClient, settingsService: SettingsService);
    getList(filter: Query<UsersFilter>): Observable<IQueryResult<ICompanyUser>>;
    addUser(user: ICompanyUser): Observable<ICompanyUser>;
    deleteUser(user: ICompanyUser): Observable<Response>;
    getApi<T>(url: string, options?: IRequestOptions | null): Observable<T>;
    postApi<T>(url: string, body: any, options?: IRequestOptions): Observable<T>;
}
