import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { HttpClientService } from '../../../services/http-client.service';
import { SettingsService } from '../../../services/settings.service';
import { IReferencesList } from '../components/company-references/interfaces/references.list.interface';
import { IReference, IReferencesFilter } from '../components/company-references/interfaces';
import { IQueryResult, IRequestOptions } from '../../../interfaces';
import { ICompany } from './../interfaces/company.interface';
import { UpdateReferences } from '../components/company-references/models/references.models';
import { Query } from '../../../models';
export declare class CompanyService extends HttpClientService {
    private _entity;
    constructor(http: HttpClient, settingsService: SettingsService);
    getCompany(id: number): Observable<ICompany>;
    getCompanyContract(id: number): Observable<ICompany>;
    getApi<T>(url: string, options?: IRequestOptions | null): Observable<T>;
    postApi<T>(url: string, body: any, options?: IRequestOptions): Observable<T>;
    save(company: ICompany): Observable<ICompany>;
    getCompanyReferences(company: Query<IReferencesFilter>): Observable<IQueryResult<IReferencesList>>;
    updateReference(state: UpdateReferences, path: string): Observable<void>;
    saveReference(item: IReference): Observable<IReference>;
    getReference(id: number): Observable<IReference>;
}
