import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { HttpClientService } from '../../../services/http-client.service';
import { SettingsService } from '../../../services/settings.service';
import { DepartmentFilter } from '../components/departments/models/department-filter.model';
import { Query } from '../../../models';
import { IDepartment } from '../components/departments/interfaces/department.interface';
import { IQueryResult, IRequestOptions } from '../../../interfaces';
import { TravelerFilter } from '../components/departments/models';
import { ITraveler } from '../interfaces/traveler.interface';
export declare class DepartmentService extends HttpClientService {
    private _entity;
    constructor(http: HttpClient, settingsService: SettingsService);
    getList(filter: Query<DepartmentFilter>): Observable<IQueryResult<IDepartment>>;
    getTravellers(filter: Query<TravelerFilter>): Observable<ITraveler[]>;
    getDepartment(id: number): Observable<IDepartment>;
    saveDepartment(department: IDepartment): Observable<IDepartment>;
    deleteDepartment(department: IDepartment): Observable<Response>;
    getApi<T>(url: string, options?: IRequestOptions | null): Observable<T>;
    postApi<T>(url: string, body: any, options?: IRequestOptions): Observable<T>;
}
