import { HttpClient } from '@angular/common/http';
import { AfterViewInit, EventEmitter, OnInit } from '@angular/core';
import { SysadminVocabularyService } from '../../services/sysadmin-vocabulary.service';
import { SettingsService } from '../../services/settings.service';
import { ICompanyProfile } from '../h21-company-list/interfaces';
import { CompanySelectData } from './company-select-data';
import { H21CompanySelectPanelRef } from './h21-company-select-panel-ref';
export declare class H21CompanySelectPanelComponent implements OnInit, AfterViewInit {
    private _http;
    private _settingsService;
    dialogRef: H21CompanySelectPanelRef;
    vocabulary: SysadminVocabularyService;
    animationState: 'void' | 'enter' | 'leave';
    animationStateChanged: EventEmitter<AnimationEvent>;
    inProgress: boolean;
    dialogData: CompanySelectData;
    profiles: ICompanyProfile[];
    selectedItem: ICompanyProfile;
    private _container;
    constructor(_http: HttpClient, _settingsService: SettingsService, dialogRef: H21CompanySelectPanelRef, vocabulary: SysadminVocabularyService, _dialogData: CompanySelectData);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    select(profile: ICompanyProfile): void;
    isSelected(profile: ICompanyProfile): boolean;
    close(): void;
    trackByFn(index: any): void;
    onAnimation(event: AnimationEvent): void;
    startExitAnimation(): void;
    getCompanyTypeCssClassName(typeId: number): string;
    private _loadData;
    private _getCompanies;
}
