import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { MatDialog } from '@angular/material';
import { Router } from '@angular/router';
import { OAuthService } from 'angular-oauth2-oidc';
import { ICoreEnvironment } from '../../interfaces/core-environment.interface';
import { H21NotificationListDialogService } from './h21-notification-list-dialog/h21-notification-list-dialog.service';
import { H21CompanySelectPanelService } from '../h21-company-select-panel/h21-company-select-panel.service';
import { H21UserProfilePanelService } from '../h21-user-profile-panel/h21-user-profile-panel.service';
import { CompanySettingService } from '../h21-company-profile/services/company-setting.service';
import { H21StorageThemeService } from '../h21-white-label/services/h21-storage-theme.service';
import { UserProfileService } from '../../services/user-profile.service';
import { HttpClientService } from '../../services/http-client.service';
import { SettingsService } from '../../services/settings.service';
import { IUserCardAction, IUserCardData } from '../h21-user-profile-panel/models';
import { H21ThemeService } from '../h21-white-label/services/h21-theme.service';
import { CompanySelectData } from '../h21-company-select-panel/company-select-data';
import { IH21Notification } from '../../models/i-h21-notification';
export declare class H21HeaderComponent implements OnInit, OnDestroy {
    private _router;
    dialog: MatDialog;
    private _auth;
    private _http;
    private _setting;
    private _themeService;
    private _userService;
    private _settingService;
    private _themeStorageService;
    private _companySelect;
    private _userProfileDialog;
    private _core;
    private _notificationsDialog;
    title: string;
    logotypeUrl: string;
    isPrototype: boolean;
    notificationCount: number;
    showNotifications: boolean;
    showDashboardLink: boolean;
    showServicesMenuBtn: boolean;
    actions: IUserCardAction[];
    notifications: IH21Notification[];
    logout: EventEmitter<any>;
    prototypeAuth: EventEmitter<any>;
    cardAction: EventEmitter<string>;
    notificationsDialogOpen: EventEmitter<any>;
    notificationsDialogClose: EventEmitter<any>;
    userName: string;
    inProcess: boolean;
    userCardData: IUserCardData;
    companySelectData: CompanySelectData;
    private _userProfileDialogRef;
    private _companySelectPanelRef;
    private _notificationsDialogRef;
    private _destroy$;
    constructor(_router: Router, dialog: MatDialog, _auth: OAuthService, _http: HttpClientService, _setting: SettingsService, _themeService: H21ThemeService, _userService: UserProfileService, _settingService: CompanySettingService, _themeStorageService: H21StorageThemeService, _companySelect: H21CompanySelectPanelService, _userProfileDialog: H21UserProfilePanelService, _core: ICoreEnvironment, _notificationsDialog: H21NotificationListDialogService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    redirectToDashboard(): void;
    openNotificationsDialog(): void;
    openUserProfilePanel(): void;
    userCardAction(actionName: string): void;
    onLogout(): void;
    private _openCompanySelectPanel;
    private _initUserProfilePanelData;
    private _initUserPanelData;
    private _authListeners;
    private _logoutListener;
    private _tokenListener;
    private _downloadLogo;
    private _fillUserName;
    private _addLogoutAction;
    private _getExitAction;
    private _updateSetting;
    private _getProfileTypes;
    private _buildUserPanel;
    private _getSettings;
    private _getProfile;
}
