import { LoginOptions, OAuthService, OidcDiscoveryDoc, ValidationParams } from 'angular-oauth2-oidc';
export declare class ProtoOAuthService extends OAuthService {
    loadDiscoveryDocumentAndLogin(options?: LoginOptions): Promise<boolean>;
    loadDiscoveryDocumentAndTryLogin(options?: LoginOptions): Promise<boolean>;
    initImplicitFlow: (additionalState?: string, params?: string | object) => void;
    logOut: (noRedirectToLogoutUrl?: boolean) => void;
    getAccessToken: () => string;
    hasValidAccessToken: () => boolean;
    hasValidIdToken: () => boolean;
    loadUserProfile(): Promise<object>;
    getIdentityClaims(): object;
    tryLogin(options?: LoginOptions): Promise<boolean>;
    protected checkAtHash(params: ValidationParams): Promise<boolean>;
    protected validateNonceForAccessToken: (accessToken: string, nonceInState: string) => boolean;
    protected validateDiscoveryDocument: (doc: OidcDiscoveryDoc) => boolean;
    protected validateUrlAgainstIssuer: (url: string) => boolean;
    protected validateUrlForHttps: (url: string) => boolean;
    protected canPerformSessionCheck: () => boolean;
}
