import { ChangeDetectorRef, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { MatTableDataSource } from '@angular/material';
import { Router } from '@angular/router';
import { SysadminVocabularyService } from '../../../../services/sysadmin-vocabulary.service';
import { ProfileLinkService } from '../../../../services/profile-link.service';
import { IProfileLink } from '../../../../interfaces';
export declare class HierarchyTreeComponent implements OnDestroy, OnChanges {
    private _router;
    private _cdr;
    private _service;
    private _vocabulary;
    dataSource: MatTableDataSource<IProfileLink>;
    showHeaderRow: boolean;
    level: number;
    maxLevel: number;
    resetExpand: boolean;
    expandedElement: IProfileLink;
    expandedElements: any[];
    expandInProgressDelayed: boolean;
    displayedColumns: string[];
    private _destroy$;
    constructor(_router: Router, _cdr: ChangeDetectorRef, _service: ProfileLinkService, _vocabulary: SysadminVocabularyService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    isShowTotalChildren(): boolean;
    getCompanyTypeCssClassName(typeName: string): string;
    companyType(id: number): string;
    expand(element: IProfileLink): void;
    collapse(element: IProfileLink): void;
    isExpanded(element: IProfileLink): boolean;
    getLevelPadding(element: IProfileLink): string;
    private _findElements;
    private _getList;
    private _buildFilter;
}
