import { EventEmitter, OnDestroy } from '@angular/core';
import { MatTableDataSource, PageEvent } from '@angular/material';
import { HttpClient } from '@angular/common/http';
import { DatePipe } from '@angular/common';
import { IQueryResult } from '../../interfaces/query-result.interface';
import { IHistoryList } from './interfaces';
import { SettingsService } from '../../services/settings.service';
import { LoadProgressService } from '../../services/load-progress.service';
export declare class H21HistoryComponent implements OnDestroy {
    private _http;
    private _datePipe;
    private _settings;
    private _loadProgressService;
    entityRefId: number;
    dataLoaded: EventEmitter<IQueryResult<IHistoryList>>;
    url: string;
    inProgress: boolean;
    noProgress: boolean;
    pageSize: number;
    pageIndex: number;
    totalCount: number;
    displayedColumns: string[];
    expandDisplayedColumns: string[];
    expandChildDisplayedColumns: string[];
    expandedElement: IHistoryList;
    dataSource: MatTableDataSource<IHistoryList>;
    expandedChildElement: IHistoryList;
    expandInProgress: boolean;
    expandInProgressDelayed: boolean;
    private _paginator;
    private _entityRefId;
    private _destroy$;
    constructor(_http: HttpClient, _datePipe: DatePipe, _settings: SettingsService, baseUrl: string, _loadProgressService: LoadProgressService);
    ngOnDestroy(): void;
    load(): void;
    pageChange(event: PageEvent): void;
    expand(element: IHistoryList): void;
    private _formatIfDate;
    private _setDS;
    private _updateUserName;
    private _afterLoad;
}
