import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { HttpClientService } from '../../services/http-client.service';
import { SettingsService } from '../../services/settings.service';
import { INamedEntity } from '../../interfaces/named-entity.interface';
import { ICompanyProfileLink } from './company-profile-link.interface';
import { ICoreEnvironment } from '../../interfaces';
import { UserProfileLink } from './user-profile-link.model';
export declare class LinkDialogService extends HttpClientService {
    private _core;
    private _profileUrl;
    private _companyListUrl;
    private _companyUrl;
    private _userProfileLinkUrl;
    private _getUserProfileLinkUrl;
    constructor(http: HttpClient, settingsService: SettingsService, _core: ICoreEnvironment);
    getCompanies(searchText: string): Observable<ICompanyProfileLink[]>;
    getUserProfileLink(id: number): Observable<UserProfileLink>;
    getCompanyProfile(id: number): Observable<ICompanyProfileLink>;
    getRoles(typeId: number): Observable<INamedEntity[]>;
    saveUserProfileLink(data: UserProfileLink): Observable<UserProfileLink>;
}
