import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { Observable, Subject } from 'rxjs';
import { SysadminVocabularyService } from '../../services/sysadmin-vocabulary.service';
import { SettingsService } from '../../services/settings.service';
import { LinkDialogService } from './link-dialog.service';
import { IH21DialogPanel } from '../h21-dialog-panel/h21-dialog-panel.interface';
import { ICompanyProfileLink } from './company-profile-link.interface';
import { INamedEntity } from '../../interfaces/named-entity.interface';
import { AnimationState } from '../../enums/animation-state';
import { UserProfile } from '../../models/user-profile.model';
import { ILinkDialog } from './link-dialog.interface';
export declare class LinksDialogComponent implements OnInit, OnDestroy, AfterViewInit {
    private _cdr;
    private _settings;
    private _service;
    private _vocabulary;
    private _dialogPanel;
    animationState: AnimationState;
    animationStateChanged: EventEmitter<AnimationEvent>;
    firstForm: FormGroup;
    secondForm: FormGroup;
    inProgress: boolean;
    noProgress: boolean;
    showEnterHint: boolean;
    title: string;
    keyUp: Subject<{
        event: any;
        text: string;
    }>;
    activeStep: number;
    userProfileId: number;
    userProfileLinkId: number;
    userProfile: UserProfile;
    selectedCompany: ICompanyProfileLink;
    companies: ICompanyProfileLink[];
    roles$: Observable<INamedEntity[]>;
    private _container;
    private _stepper;
    private _destroy$;
    constructor(_cdr: ChangeDetectorRef, _settings: SettingsService, _service: LinkDialogService, _vocabulary: SysadminVocabularyService, _dialogPanel: IH21DialogPanel<ILinkDialog>);
    ngOnInit(): void;
    ngOnDestroy(): void;
    companyType(id: number): string;
    getCompanyTypeCssClassName(typeName: string): string;
    ngAfterViewInit(): void;
    trackByFn(index: number): number;
    onAnimationStart(event: AnimationEvent): void;
    onAnimationDone(event: AnimationEvent): void;
    search(pattern?: string): void;
    companyIsSelected(company: any): boolean;
    selectCompany(company: ICompanyProfileLink): void;
    close(): void;
    save(): void;
    private _init;
    private _getNewUserProfileLink;
    private _loadCompany;
    private _setSelectedCompany;
}
