import { ChangeDetectorRef, OnDestroy } from '@angular/core';
import { MatTabChangeEvent } from '@angular/material';
import { ActivatedRoute } from '@angular/router';
import { Observable } from 'rxjs';
import { CompanySettingService } from '../../../h21-company-profile/services/company-setting.service';
import { SysadminVocabularyService } from '../../../../services/sysadmin-vocabulary.service';
import { CompanyService } from '../../../h21-company-profile/services/company.service';
import { ToolbarActionsService } from '../../../../services/toolbar-actions.service';
import { LoadProgressService } from '../../../../services/load-progress.service';
import { IHistoryResponse } from '../../../h21-company-profile/interfaces/history-response.interface';
import { ICoreEnvironment } from '../../../../interfaces/core-environment.interface';
import { ICompany } from '../../../h21-company-profile/interfaces/company.interface';
import { AnimationState } from '../../../../enums/animation-state';
import { ViewMode } from '../../../../enums/view-mode.enum';
import { ProfileName } from '../../../h21-company-profile/company-profile-setting.model';
import { GeneralInfoComponent } from '../../../h21-company-profile/components/general-info/general-info.component';
export declare class DetailsComponent implements OnDestroy {
    private _route;
    private _cdr;
    private _service;
    private _setting;
    private _toolbarActions;
    private _vocabulary;
    private _settingService;
    private _loadProgressService;
    private _core;
    generalInfo: GeneralInfoComponent;
    readonly tooltip: string;
    viewMode: typeof ViewMode;
    inProgress: boolean;
    mode: ViewMode;
    isBackOfficeApp: boolean;
    isShowMarkup: boolean;
    isAdmin: boolean;
    historyResponse: IHistoryResponse;
    animationStateType: typeof AnimationState;
    animationState: AnimationState;
    validate: boolean;
    profile: ProfileName;
    originCompany: ICompany;
    company$: Observable<ICompany>;
    selectedIndex: number;
    selectedTab: string;
    isEditable: string[];
    private _generalInfo;
    private _destroy$;
    constructor(_route: ActivatedRoute, _cdr: ChangeDetectorRef, _service: CompanyService, _setting: CompanySettingService, _toolbarActions: ToolbarActionsService, _vocabulary: SysadminVocabularyService, _settingService: CompanySettingService, _loadProgressService: LoadProgressService, _core: ICoreEnvironment);
    ngOnDestroy(): void;
    toggleCardHeaderVisibility(): void;
    updateMode(mode: ViewMode): void;
    getRegisterNumber(company: ICompany): string;
    tabChange(tab: MatTabChangeEvent): void;
    companyType(id: number): string;
    loadedData(data: IHistoryResponse): void;
    updateCompany(company: ICompany): void;
    getCompanyTypeCssClassName(typeId: number): string;
    private _getCompany;
}
