import { OnInit, OnDestroy, AfterViewInit, EventEmitter } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { AnimationState } from '../../../../enums/animation-state';
import { ViewMode } from '../../../../enums/view-mode.enum';
import { ICoreEnvironment } from '../../../../interfaces/core-environment.interface';
import { IH21DialogPanel } from '../../../h21-dialog-panel/h21-dialog-panel.interface';
import { CompanySettingService } from '../../../h21-company-profile/services/company-setting.service';
import { PanelAction } from '../../../../enums/panel-action.enum';
import { MarkupService } from '../../services/markup.service';
import { ICompanyProfileMarkup } from '../../interfaces/company-profile-markup.interface';
import { ReferencesService } from '../../../../services/references.service';
import { INamedEntity } from '../../../../interfaces/named-entity.interface';
import { IProviderType } from '../../../../interfaces/provider-type.interface';
import { MarkupPanelData } from '../../models/markup-panel-data.model';
export declare class MarkupEditDialogComponent implements OnInit, OnDestroy, AfterViewInit {
    private _service;
    private _refService;
    private _settingService;
    private _core;
    private _panel;
    form: FormGroup;
    viewMode: ViewMode;
    actionInProgress: boolean;
    isView: boolean;
    dialogData: any;
    animationState: AnimationState;
    animationStateChanged: EventEmitter<AnimationEvent>;
    private profileId;
    markup: ICompanyProfileMarkup;
    private _original;
    private _destroy$;
    groups: INamedEntity[];
    filtered: IProviderType[];
    providerList: IProviderType[];
    private _container;
    constructor(_service: MarkupService, _refService: ReferencesService, _settingService: CompanySettingService, _core: ICoreEnvironment, _panel: IH21DialogPanel<MarkupPanelData>);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    animationAction(event: AnimationEvent): void;
    close(action?: PanelAction): void;
    cancel(): void;
    save(): void;
    trackByFn(index: number): number;
    private _load;
    private _setProvidersData;
    onGroupChange(groupId: number, isClean?: boolean): void;
    private _setMarkupData;
    private _isDisabled;
    private _buildForm;
}
