import { OnInit, OnDestroy, OnChanges, EventEmitter, ChangeDetectorRef, SimpleChanges } from '@angular/core';
import { PageEvent } from '@angular/material';
import { HttpClient } from '@angular/common/http';
import { DatePipe } from '@angular/common';
import { Observable } from 'rxjs';
import { ToolbarActionsService } from '../../../../services/toolbar-actions.service';
import { LoadProgressService } from '../../../../services/load-progress.service';
import { H21DefaultDialogService } from '../../../dialogs/h21-default-dialog.service';
import { H21DialogPanelService } from '../../../h21-dialog-panel/h21-dialog-panel.service';
import { MarkupService } from '../../services/markup.service';
import { SettingsService } from '../../../../services/settings.service';
import { ICompany } from '../../../h21-company-profile/interfaces/company.interface';
import { IH21Column, IH21Order } from '../../../h21-table/h21-column.interfaces';
import { ViewMode } from '../../../../enums/view-mode.enum';
import { IRowAction } from '../../../h21-table/row-action.interface';
import { ICompanyProfileMarkup } from '../../interfaces/company-profile-markup.interface';
export declare class MarkupListComponent implements OnInit, OnDestroy, OnChanges {
    private _http;
    private datePipe;
    private _cdr;
    private _settings;
    private _service;
    private _dialog;
    private _defDialog;
    private _toolbarActions;
    private _loadProgressService;
    typeId: number;
    mode: ViewMode;
    isAdmin: boolean;
    company: ICompany;
    companyId: number;
    emitMode: EventEmitter<ViewMode>;
    emitCompany: EventEmitter<ICompany>;
    inProgress: boolean;
    showNoData: boolean;
    pageSize: number;
    totalCount: number;
    viewMode: typeof ViewMode;
    order: IH21Order;
    columns$: Observable<IH21Column[]>;
    dataSource: ICompanyProfileMarkup[];
    private _paginator;
    private _originCompany;
    private _destroy$;
    constructor(_http: HttpClient, datePipe: DatePipe, _cdr: ChangeDetectorRef, _settings: SettingsService, _service: MarkupService, _dialog: H21DialogPanelService, _defDialog: H21DefaultDialogService, _toolbarActions: ToolbarActionsService, _loadProgressService: LoadProgressService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    onRowAction(event: IRowAction<ICompanyProfileMarkup>): void;
    sort(name: string): void;
    pageChange(event: PageEvent): void;
    openCardForm(mode: ViewMode, id?: number): void;
    private _delete;
    private _search;
    private _edit;
    private _cancel;
    private _setToolbarActions;
    private _getColumns;
    private _setDS;
    private _updateUserName;
    private _cgahgeCdr;
}
