import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { HttpClientService } from '../../../services/http-client.service';
import { SettingsService } from '../../../services/settings.service';
import { Query } from '../../../models';
import { ICompanyProfileMarkup } from '../interfaces/company-profile-markup.interface';
import { ICompanyProfileMarkupFilter } from '../interfaces/company-profile-markup-filter.interface';
import { IQueryResult, IRequestOptions } from '../../../interfaces';
export declare class MarkupService extends HttpClientService {
    private _entity;
    constructor(http: HttpClient, settingsService: SettingsService);
    getList(filter: Query<ICompanyProfileMarkupFilter>): Observable<IQueryResult<ICompanyProfileMarkup>>;
    getMarkup(id: number): Observable<ICompanyProfileMarkup>;
    saveMarkup(department: ICompanyProfileMarkup): Observable<ICompanyProfileMarkup>;
    deleteMarkup(department: ICompanyProfileMarkup): Observable<Response>;
    getApi<T>(url: string, options?: IRequestOptions | null): Observable<T>;
    postApi<T>(url: string, body: any, options?: IRequestOptions): Observable<T>;
}
