import { EventEmitter, OnChanges, SimpleChanges, TemplateRef } from '@angular/core';
import { MatPaginator, MatTableDataSource, PageEvent } from '@angular/material';
import { Observable } from 'rxjs';
import { ViewMode } from '../../../../enums';
import { IH21Column, IH21Order } from '../../h21-column.interfaces';
import { IRowAction } from '../../row-action.interface';
import { RowAction } from '../../row-action.enum';
export declare class H21TableComponent implements OnChanges {
    dataSource: MatTableDataSource<unknown>;
    showLoader: boolean;
    showNoData: boolean;
    noDataText: string;
    columns: IH21Column[];
    totalCount: number;
    pageSize: number;
    order: IH21Order;
    withCustomContent: boolean;
    rowHover: boolean;
    mode: ViewMode;
    changePageEmit: EventEmitter<PageEvent>;
    rowEmit: EventEmitter<unknown>;
    sortEmit: EventEmitter<string>;
    actionEmit: EventEmitter<IRowAction<unknown>>;
    paginator: MatPaginator;
    customCell: TemplateRef<unknown>;
    pageSizeCounts$: Observable<number[]>;
    loadingTableRow$: Observable<number[]>;
    displayedColumns$: Observable<string[]>;
    viewMode: ViewMode;
    _pageIndex: number;
    private _paginator;
    ngOnChanges(changes: SimpleChanges): void;
    trackByFn(index: any): void;
    pageChange(event: PageEvent): void;
    emitActionRow<T>(action: RowAction, data: T): void;
    sort(field: string): void;
    rowClick<T>(row: T): void;
    needToWarn(action: string): boolean;
    private _setDisplayedColumns;
    private _setPaginator;
}
