import { EventEmitter } from '@angular/core';
import { H21TopToolbarService } from '../../services/h21-top-toolbar.service';
import { IProviderDataLoadingStatistic, IToolbarActionButton } from './models';
import { IBreadcrumb } from '../h21-breadcrumbs/models';
import { IComboboxOption } from '../../interfaces/combobox-option.interface';
export declare class H21TopToolbarComponent {
    toolbarService: H21TopToolbarService;
    showBreadcrumbs: boolean;
    breadcrumbsData: IBreadcrumb[];
    showCart: boolean;
    showSidenavToggle: boolean;
    sidenavToggleDisabled: boolean;
    sidenavOpened: boolean;
    showLanguageControl: boolean;
    showCurrencyControl: boolean;
    showProviderDataLoading: boolean;
    providerDataLoadingStatistic: IProviderDataLoadingStatistic;
    toolbarActions: IToolbarActionButton[];
    sidenavToggled: EventEmitter<void>;
    updateSearchResultClick: EventEmitter<void>;
    toolbarActionClicked: EventEmitter<IToolbarActionButton>;
    languageOptionsTooltipText: string;
    currencyOptionsTooltipText: string;
    selectedLanguage: any;
    selectedCurrency: any;
    languageOptions: IComboboxOption[];
    currencyOptions: IComboboxOption[];
    constructor(toolbarService: H21TopToolbarService);
    init(): void;
    trackByFn(index: any): any;
    toolbarActionClick(e: IToolbarActionButton): void;
    updateSearchResult(): void;
    sidenavToggle(): void;
}
