import { AfterViewInit, EventEmitter, OnDestroy } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { ICompanyProfileClaim } from '../h21-company-profile/interfaces/company-profile-claim.interface';
import { ICompanyProfile } from '../h21-company-list/interfaces/company-profile.interface';
import { ICoreEnvironment } from '../../interfaces/core-environment.interface';
import { IUserCardData } from './models/i-user-card-data';
import { CompanySettingService } from '../h21-company-profile/services/company-setting.service';
import { H21UserProfilePanelRef } from './h21-user-profile-panel-ref';
export declare class H21UserProfilePanelComponent implements OnDestroy, AfterViewInit {
    dialogRef: H21UserProfilePanelRef;
    private _settingService;
    companyClaim: ICompanyProfileClaim;
    animationState: 'void' | 'enter' | 'leave';
    animationStateChanged: EventEmitter<AnimationEvent>;
    dialogData: IUserCardData;
    profile$: BehaviorSubject<ICompanyProfile>;
    private _container;
    private _destroy$;
    constructor(dialogRef: H21UserProfilePanelRef, _settingService: CompanySettingService, _dialogData: IUserCardData, core: ICoreEnvironment, companyClaim: ICompanyProfileClaim);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onAnimationStart(event: AnimationEvent): void;
    onAnimationDone(event: AnimationEvent): void;
    startExitAnimation(): void;
    close(): void;
    onActionClick(name: string): void;
    trackByFn(index: any): any;
}
