import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { HttpClientService } from '../../services/http-client.service';
import { SettingsService } from '../../services/settings.service';
import { ICoreEnvironment } from '../../interfaces/core-environment.interface';
import { IQueryResult } from '../../interfaces/query-result.interface';
import { IRequestOptions } from '../../interfaces/request-options.interface';
import { IUserRoleList } from './user-role-list.interface';
import { UserRole } from './user-role.model';
export declare class UserRoleService extends HttpClientService {
    private _core;
    private _entity;
    private _apiUrl;
    constructor(http: HttpClient, settingsService: SettingsService, _core: ICoreEnvironment);
    getUserRoleList(userProfileId: number): Observable<IQueryResult<IUserRoleList>>;
    save(role: UserRole): Observable<UserRole>;
    postApi<T>(url: string, body: any, options?: IRequestOptions): Observable<T>;
    private _filterByApp;
}
