import { OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { HttpClient } from '@angular/common/http';
import { IHeader, IUploadResponse } from '../upload-response.interface';
import { UserProfileImportService } from '../user-profile-import.service';
import { SettingsService } from '../../../services/settings.service';
export declare class ImportInfoComponent implements OnInit, OnDestroy {
    private _router;
    private _http;
    private _activeRoute;
    private _settingsService;
    private _service;
    columns: string[];
    importedCols: IHeader[];
    expectedCols: IHeader[];
    displayedCols: IHeader[];
    buttonName: string;
    importStarted: boolean;
    readonly uploadResponse: IUploadResponse;
    private _missingCols;
    private _unnecessaryCols;
    private _destroy$;
    constructor(_router: Router, _http: HttpClient, _activeRoute: ActivatedRoute, _settingsService: SettingsService, _service: UserProfileImportService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    trackByFn(index: any): void;
    downloadErrors(): void;
    startImport(): void;
    isMissingCol(name: IHeader): boolean;
    isUnnecessaryCol(name: IHeader): boolean;
    getTooltip(col: IHeader): string;
    showDownloadFileButton(): boolean;
    private _fillCols;
    private _setDisplayedCols;
}
