import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Router } from '@angular/router';
import { LoadProgressService } from '../../services/load-progress.service';
import { UserProfileImportService } from './user-profile-import.service';
import { PictureType } from '../h21-picture-lib/picture-type.enum';
export declare class UsersImportComponent implements OnInit, OnDestroy {
    private _router;
    private _http;
    private _cdr;
    private _loadProgressService;
    private _importService;
    pictureType: PictureType;
    title: string;
    downLoadButtonName: string;
    toolTipText: string;
    hasImport: boolean;
    downloading: boolean;
    private _destroy$;
    constructor(_router: Router, _http: HttpClient, _cdr: ChangeDetectorRef, _loadProgressService: LoadProgressService, _importService: UserProfileImportService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    openCreateTraveller(): void;
    downloadTemplate(): void;
    uploadImportFile(target: EventTarget, files: FileList): void;
}
