import { OnDestroy, OnInit } from '@angular/core';
import { OAuthService } from 'angular-oauth2-oidc';
import { Subject } from 'rxjs';
import { H21ProfileSaverService } from '../services/h21-profile-saver.service';
import { H21WhiteLabelService } from '../h21-white-label.service';
import { IWhitelabelItem } from '../interfaces/whitelabel-item.interface';
import { ISearchEvent } from '../interfaces/search-event.interface';
import { IOrder } from '../../../interfaces/order.interface';
import { WhitelabelTypes } from '../models/whitelabel-types';
import { Theme } from '../models/theme.model';
import { IColumn } from '../../../interfaces';
export declare class H21WhiteLabelListComponent implements OnInit, OnDestroy {
    private _auth;
    private _saverService;
    private _whitelabelService;
    loadProfiles: Subject<void>;
    reset: Subject<void>;
    wlProfileIsSelected: Subject<boolean>;
    order: IOrder;
    totalCount: number;
    columns: IColumn[];
    dataSource: IWhitelabelItem[];
    fakeRows: number[];
    keyUp: Subject<ISearchEvent>;
    inProgress: boolean;
    hasProgress: boolean;
    showEnterHint: boolean;
    private _pageSize;
    private _selectedProfile;
    private _defaultSelectedProfile;
    private _claims;
    private _wlProfileId;
    private _destroy$;
    constructor(_auth: OAuthService, _saverService: H21ProfileSaverService, _whitelabelService: H21WhiteLabelService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    trackByFn(index: any): any;
    isAdmin(): boolean;
    getWhitelabelType(themeIsDefault: boolean): WhitelabelTypes;
    save(theme: Theme): void;
    toggleSelected(item: IWhitelabelItem, checked: boolean): void;
    isSelected(item: IWhitelabelItem): boolean;
    private _search;
    private _setLinkedWhiteLabelProfileIfExist;
}
