import { AfterViewInit, EventEmitter, OnDestroy } from '@angular/core';
import { FormControl } from '@angular/forms';
import { MatTabChangeEvent } from '@angular/material';
import { OAuthService } from 'angular-oauth2-oidc';
import { Subject } from 'rxjs';
import { H21DefaultDialogService } from '../dialogs/h21-default-dialog.service';
import { H21ThemeElementsService } from './services/h21-theme-elements.service';
import { H21ProfileSaverService } from './services/h21-profile-saver.service';
import { H21StorageThemeService } from './services/h21-storage-theme.service';
import { FileUploaderService } from '../../services/file-uploader.service';
import { HttpClientService } from '../../services/http-client.service';
import { SettingsService } from '../../services/settings.service';
import { H21ThemeService } from './services/h21-theme.service';
import { H21WhiteLabelRef } from './h21-white-label-ref';
import { WhiteLabelTab } from './models/white-label-tab.enum';
import { Theme } from './models/theme.model';
export declare class H21WhiteLabelComponent implements OnDestroy, AfterViewInit {
    private _auth;
    private _http;
    private _service;
    private _settings;
    private _dialogRef;
    private _uploader;
    private _saverService;
    private _dialogData;
    private _storageService;
    private _elementService;
    private _dialogService;
    readonly fileIsCorrect: boolean;
    readonly incorrectFileText: string;
    readonly inProgress: boolean;
    readonly hasProgress: boolean;
    current: Theme;
    previous: Theme;
    themes: Theme[];
    themeName: FormControl;
    isProfilesTab: boolean;
    isCustomColorsTab: boolean;
    isProfileWlAvailable: boolean;
    isDeleteLogoAvailable: boolean;
    selectedTab: WhiteLabelTab;
    loadProfiles: Subject<void>;
    resetClick: Subject<void>;
    animationState: 'void' | 'enter' | 'leave';
    animationStateChanged: EventEmitter<AnimationEvent>;
    _fileIsCorrect: boolean;
    private _incorrectFileText;
    private _wlProfileIsSelected;
    private _inProgress;
    private _hasProgress;
    private _destroy$;
    private _container;
    private _fileInput;
    constructor(_auth: OAuthService, _http: HttpClientService, _service: H21ThemeService, _settings: SettingsService, _dialogRef: H21WhiteLabelRef, _uploader: FileUploaderService, _saverService: H21ProfileSaverService, _dialogData: any, _storageService: H21StorageThemeService, _elementService: H21ThemeElementsService, _dialogService: H21DefaultDialogService);
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    setWlProfileSelected(selected: boolean): void;
    isDisabled(): boolean;
    onAnimation(event: AnimationEvent): void;
    startExitAnimation(): void;
    close(): void;
    apply(): void;
    next(): void;
    export(): void;
    save(): void;
    reset(): void;
    onChange(theme: Theme): void;
    onChangeTab(event: MatTabChangeEvent): void;
    trackByFn(index: number): number;
    uploadLogo(e: Event): void;
    deleteLogo(): void;
    hexToRgb(event: any): string;
    hasContrastColor(name: string): boolean;
    private _cloneCurrentTheme;
    private _isAdmin;
    private _getDefThemes;
    private _saveElements;
    private _fillElements;
    private _downloadByHash;
    private _fillLogo;
    private _deepCopy;
    private _checkSizeAndFormat;
    private _showMessage;
}
