import { Injector } from '@angular/core';
import { Overlay } from '@angular/cdk/overlay';
import { Observable } from 'rxjs';
import { HttpClientService } from '../../services/http-client.service';
import { SettingsService } from '../../services/settings.service';
import { IPublishThemeProfile } from './interfaces/publish-theme-profile.interface';
import { IWhitelabelItem } from './interfaces/whitelabel-item.interface';
import { IQueryResult } from '../../interfaces/query-result.interface';
import { IThemeItem } from './interfaces/theme-item.interface';
import { H21WhiteLabelRef } from './h21-white-label-ref';
import { QueryBase } from '../../models/query.model';
export declare class H21WhiteLabelService {
    private _injector;
    private _overlay;
    private _httpClient;
    private _settingsService;
    profileEntityName: string;
    themeEntityName: string;
    constructor(_injector: Injector, _overlay: Overlay, _httpClient: HttpClientService, _settingsService: SettingsService);
    open(data?: any): H21WhiteLabelRef;
    getProfileList(queryDto: QueryBase): Observable<IQueryResult<IWhitelabelItem>>;
    getProfileListFromProfile(queryDto: QueryBase): Observable<IQueryResult<IWhitelabelItem>>;
    getThemeListFromProfile(queryDto: QueryBase): Observable<IQueryResult<IThemeItem>>;
    publishProfile(publishThemeProfileDto: IPublishThemeProfile): Observable<IPublishThemeProfile>;
    private _getOverlayConfig;
}
