import { OnDestroy } from '@angular/core';
import { Observable } from 'rxjs';
import { H21ThemeElementsService } from './h21-theme-elements.service';
import { H21ThemeProfileService } from './h21-theme-profile.service';
import { H21StorageThemeService } from './h21-storage-theme.service';
import { H21ThemeApiService } from './h21-theme-api.service';
import { IRequestOptions } from '../../../interfaces/request-options.interface';
import { IQueryResult } from '../../../interfaces/query-result.interface';
import { Query } from '../../../models/query.model';
import { Theme } from '../models/theme.model';
export declare class H21ThemeService implements OnDestroy {
    private _http;
    private _themeStorageService;
    private _themeProfileService;
    private _themeElementsService;
    private _model;
    private _themeLoaded;
    constructor(_http: H21ThemeApiService, _themeStorageService: H21StorageThemeService, _themeProfileService: H21ThemeProfileService, _themeElementsService: H21ThemeElementsService);
    ngOnDestroy(): void;
    readonly themeLoaded: Observable<Theme>;
    applyTheme(): void;
    exportTheme(currentTheme: Theme): void;
    find(filter: Query<any>, options?: IRequestOptions): Observable<IQueryResult<Theme>>;
    save(theme: Theme): Observable<Theme>;
    getLogoUrl(theme: Theme, data: Blob): string;
    private _getThemeById;
    private _initThemeElements;
    private _initTheme;
    private _initByDomain;
}
