import { DateAdapter, MatDateFormats } from '@angular/material';
import { H21DateTime } from '../models/h21-date-time.model';
import { H21DateTimePatternTypes } from '../models';
export declare class DateService {
    private dateAdapter;
    private dateFormats;
    constructor(dateAdapter: DateAdapter<Date>, dateFormats: MatDateFormats);
    getH21DateTimeToday(): H21DateTime;
    toDate(dateTime: H21DateTime): Date;
    dateToH21DateTime(date: Date): H21DateTime;
    /**
     * Return the H21DateTime with date and time format output pattern
     * @param date - input date of the {@link Date}
     * @param pattern - pattern for formatting {@link H21DateTimePatternTypes}
     * @returns The date of {@link H21DateTime}
     */
    getDateByPattern(date: Date, pattern: H21DateTimePatternTypes): H21DateTime;
    private _getMonthName;
    private _getZeroFilled;
    private _getDateData;
}
