import { Observable } from 'rxjs';
import { HttpClientService } from './http-client.service';
import { IFileSizeCompareResult } from '../interfaces/file-size-compare-result.interface';
import { IFileSizeCompare } from '../interfaces/file-size-compare.interface';
import { IFileInfo } from '../interfaces/file-info.interface';
export declare class FileUploaderService {
    private _http;
    constructor(_http: HttpClientService);
    uploadFileList(url: string, files: FileList): Observable<IFileInfo[]> | null;
    upload(url: string, e: Event): Observable<IFileInfo> | null;
    checkFileFormat(files: FileList, fileFormats: string[]): boolean;
    checkFileSize(files: FileList, sizeRule: IFileSizeCompare): IFileSizeCompareResult;
    checkFilesExtension(files: FileList, acceptableExtensions: string[]): boolean;
    checkFilesSize(files: FileList, sizeRule: IFileSizeCompare): boolean;
    private _isHTML5;
    private _xhrTransport;
    private _window;
}
