import { HttpClient } from '@angular/common/http';
import { BehaviorSubject, Observable } from 'rxjs';
import { SettingsService } from './settings.service';
import { IRequestOptions } from '../interfaces/request-options.interface';
import { IQueryResult } from '../interfaces/query-result.interface';
import { QueryBase } from '../models/query.model';
export declare class HttpClientService {
    private _http;
    protected settingsService: SettingsService;
    protected _mockData$: BehaviorSubject<any>;
    mockData$: unknown;
    constructor(_http: HttpClient, settingsService: SettingsService);
    get<T>(url: string, options?: IRequestOptions | null): Observable<T>;
    getBlob(url: string): Observable<Blob>;
    getApi<T>(url: string, options?: IRequestOptions | null): Observable<T>;
    getEntity<T>(entityName: string, entityId: number, options?: IRequestOptions | null): Observable<T>;
    find<T>(url: string, options?: IRequestOptions): Observable<T>;
    post<T>(url: string, body: any, options?: IRequestOptions): Observable<T>;
    postApi<T>(url: string, body: any, options?: IRequestOptions): Observable<T>;
    postQuery<T>(entityName: string, queryDto: QueryBase, options?: IRequestOptions): Observable<IQueryResult<T>>;
    postSearch<T>(entityName: string, queryDto: QueryBase, options?: IRequestOptions): Observable<IQueryResult<T>>;
    postEntity<T>(entityName: string, entity: T, options?: IRequestOptions): Observable<T>;
    postDelete(entityName: string, body: any, options?: IRequestOptions): Observable<Response>;
    put<T>(url: string, body: any, options?: IRequestOptions): Observable<T>;
    delete(url: string, options?: IRequestOptions): Observable<any>;
    downloadFile(id: number): Observable<Blob>;
    downloadFileByHash(hash: string, name?: string, folder?: string): Observable<Blob>;
    downloadFileByClick(hash: string, name: string, folder?: string): void;
    upload<T>(url: string, formData: FormData): Observable<T>;
    private _getDefaultOptions;
}
