import { HttpClient } from '@angular/common/http';
import { BehaviorSubject, Observable } from 'rxjs';
import { OAuthService } from 'angular-oauth2-oidc';
import { IUserPermission } from '../interfaces';
import { CompanyProfileSetting } from '../lib/h21-company-profile/company-profile-setting.model';
import { CompanySettingService } from '../lib/h21-company-profile/services/company-setting.service';
import { SettingsService } from './settings.service';
export declare class PermissionService {
    private _http;
    private _auth;
    private _settings;
    private _companySetting;
    loaded$: BehaviorSubject<boolean>;
    companySetting$: BehaviorSubject<CompanyProfileSetting>;
    permissions$: BehaviorSubject<Map<string, IUserPermission[]>>;
    constructor(_http: HttpClient, _auth: OAuthService, _settings: SettingsService, _companySetting: CompanySettingService);
    init(): void;
    getPermissionsList(): Observable<IUserPermission[]>;
    hasPermissions(name: string): boolean;
    isAdminByClaims(): boolean;
    private _getClaims;
    private _clarifyRoles;
    private _initPermissions;
}
