import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { IProfileLink, IQueryResult, IRequestOptions } from '../interfaces';
import { ICompanyProfile } from '../lib/h21-company-list/interfaces';
import { ProfileLinkFilter, Query } from '../models';
import { HttpClientService } from './http-client.service';
import { SettingsService } from './settings.service';
export declare class ProfileLinkService extends HttpClientService {
    private _entity;
    private _apiUrl;
    constructor(http: HttpClient, settingsService: SettingsService);
    postApi<T>(url: string, body: any, options?: IRequestOptions): Observable<T>;
    getList(filter: Query<ProfileLinkFilter>): Observable<IQueryResult<IProfileLink>>;
    getProfile(ids: number[]): Observable<ICompanyProfile[]>;
}
