import { Observable } from 'rxjs';
import { HttpClientService } from './http-client.service';
import { SettingsService } from './settings.service';
import { INamedEntity } from '../interfaces/named-entity.interface';
import { ICurrency } from '../interfaces/currency.interface';
import { ILanguage } from '../interfaces/language.interface';
import { ICountry } from '../interfaces/country.interface';
import { ICity } from '../interfaces/city.interface';
import { IOrder } from '../interfaces/order.interface';
import { IProviderType } from '../interfaces/provider-type.interface';
export declare class ReferencesService {
    private http;
    private settings;
    constructor(http: HttpClientService, settings: SettingsService);
    setReferencesUrl(url: string): void;
    isReferencesUrlAssigned(): boolean;
    getCountries(): Observable<ICountry[]>;
    getCountriesByOrder(order?: IOrder[]): Observable<ICountry[]>;
    getCountryCities(countryCode: string): Observable<ICity[]>;
    getCity(cityCode: string): Observable<ICity>;
    getCountry(countryCode: string): Observable<ICountry>;
    getLanguages(): Observable<ILanguage[]>;
    getCurrencies(): Observable<ICurrency[]>;
    getPaySumTypes(): Observable<INamedEntity[]>;
    getProviderGroups(): Observable<INamedEntity[]>;
    getProviderTypes(): Observable<IProviderType[]>;
}
