import { HttpErrorResponse } from '@angular/common/http';
import { BehaviorSubject, Observable } from 'rxjs';
export declare class StoreService<T, U extends T[]> {
    read$: Observable<U>;
    create$: Observable<T>;
    update$: Observable<void>;
    delete$: Observable<void>;
    error$: Observable<HttpErrorResponse>;
    protected createSubject: BehaviorSubject<T>;
    protected readSubject: BehaviorSubject<U>;
    protected updateSubject: BehaviorSubject<void>;
    protected deleteSubject: BehaviorSubject<void>;
    protected errorSubject: BehaviorSubject<HttpErrorResponse>;
}
